/*
 * Class ITERABLE [NATURAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1901 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1901 [] = {0xFF01,1551,1900,851,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1901 [] = {0xFF01,1900,851,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1901 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1901 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1901 [] = {0xFF01,1900,851,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1901 [] = {0xFF01,1900,851,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1901 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1901 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1901 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1901 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1901 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1901 [] = {1900,851,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1901 [] = {0xFF01,1900,851,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1901 [] = {0xFF01,1898,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1901 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1901[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1901), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1901), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1901), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1901), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1901), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1901), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1901), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1901), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1901), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1901), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1901), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1901), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1901), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1901), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1901), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1901), -1, 0xFFFFFFFF},
};
void Init1901(void)
{
	IDSC(desc_1901, 0, 1900);
	IDSC(desc_1901 + 1, 1, 1900);
	IDSC(desc_1901 + 32, 1088, 1900);
}


#ifdef __cplusplus
}
#endif
